This page last changed on Oct 14, 2010 by jive.

Overview

Upgrading the GeoServer UI to Wicket 1.4.

Proposed By

Justin Deoliveira

Assigned to Release

2.1-beta2

State

Under Discussion, In Progress, Completed, Rejected, Deferred

Motivation

Currently GeoServer sits on the Wicket 1.3 stream. The current stable wicket version is 1.4 and soon to be 1.5. Most new extensions that are available are not wicket 1.3 compatible.

Proposal

The details of the switch over were described in a recent email to the developer list. The current patch is found here

Feedback

Backwards Compatibility

Wicket 1.4 will undoubtedly break any code written against wicket 1.3. The changes are mechanical and described in the wicket migration guide.

Voting

Andrea Aime: +1
Alessio Fabiani:
Ben Caradoc-Davies: +1
Simone Giannecchini:
Jody Garnett: +1
Rob Atkinson: +0
Mark Leslie:

Links

[JIRA Task|]
[Email Discussion|]
[Wiki Page|]

Document generated by Confluence on May 14, 2014 23:00